Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158434 - gfortran internal compiler error in convert_move at expr.c:339
Summary: gfortran internal compiler error in convert_move at expr.c:339
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-22 09:09 UTC by Alexander Täschner
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.0-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-06 09:24:19 UTC


Attachments (Terms of Use)

Description Alexander Täschner 2005-05-22 09:09:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
When trying to compile the fortran file below gfortran produces
an internal compiler error.

Version-Release number of selected component (if applicable):
gcc4-gfortran-4.0.0-0.41.fc3

How reproducible:
Always

Steps to Reproduce:
gfortran -c hwbran.f

--- start of file hwbran.f ---
      SUBROUTINE HWBRAN(KPAR)

        IF (NTRY.GT.NBTRY) CALL HWWARN('HWBRAN',100,*999)
        IF (ID.EQ.13) THEN
          IF (QLST.GT.QCDL3) THEN
            QKTHR=2.*HWBVMC(N)
            IF (QLST.GT.QKTHR) THEN
              RN=HWRGEN(N)
            ENDIF
          ENDIF
        ENDIF

  999 END
--- end of file hwbran.f ---

Actual Results:  hwbran.f: In function 'hwbran':
hwbran.f:6: internal compiler error: in convert_move, at expr.c:339


Expected Results:  It compiles without problem with g77.

Additional info:

The file below is only a minimalistic fragment from the CERNLIB file
<http://wwwasd.web.cern.ch/wwwasd/cernlib/download/2004_source/src/mclibs/herwig/code/hwbran.F>

Comment 1 Jakub Jelinek 2005-05-22 14:05:16 UTC
Simplified testcase:
        SUBROUTINE FOO (A)
        REAL T, A, BAZ
        CALL BAR (*10)
        T = 2 * BAZ ()
        IF (T.GT.0) T = BAZ ()
10      END


Comment 3 Jakub Jelinek 2005-06-06 09:24:19 UTC
Should be fixed in gcc-4.0.0-9 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.